#include "incubator.h"
#include "../lcd/lcd.h"
//----------------------------
uint16_t delay_dimmer = 800; //  
bool enableZeroCross = false; //   
//--------------
void INCUBATOR()
{
	
}	
//-------------------
void INCUBATOR_Init()
{
	//TIME_Init();
	
	DDRB  &= (1 << 0) | (1 << 1);
	PORTB |= (1 << 0) | (1 << 1);
	
	DDRC |= (1 << 0);
	PORTC &= ~(1 << 0);
	
	DDRD  &= ~(1 << 2);
	PORTD |= (1 << 2);
	
	GICR  |= (1 << INT0); // 
	MCUCR = 1<<ISC01 | 1<<ISC00	;
	
	TIMSK  = (1 << OCIE1A); //     TCNT1  OCR1A
	TCCR1B = 0x00;
	
	SREG |= (1 << 7);
}
//---------------------
void INCUBATOR_Button()
{
	if((PINB & 0x01) == false)
	{
		if(delay_dimmer > 0)
			delay_dimmer -= 200;
	}

	if((PINB & 0x02) == false)
	{
		if(delay_dimmer < 65000)
			delay_dimmer += 200;
	}
}
//------------
ISR(INT0_vect)
{
 	if(!enableZeroCross)
	{
		enableZeroCross = true;
		
		OCR1A   = delay_dimmer; //   
		TCNT1   = 0;     //   
		TCCR1B |= (1<<CS10) | ( 1<< WGM12);  //       
	}
}
//--------------------
ISR(TIMER1_COMPA_vect)
{
	if(enableZeroCross)
	{
		TCCR1B = 0;
		TCNT1  = 0;
		
		PORTC |= (1 << 0); //  
		_delay_us(50);
		PORTC &= ~(1 << 0);
		
		enableZeroCross = false;	
	}
}