#include "kernel.h"
//----------------
uint32_t tics = 0;
//----------------
void KERNEL_Init()
{
	//  
	SCHEDULER_Init();
	
	//  
	ASSR  |= (1 << AS0); //      (32768 )
	TCCR2 |= (1 << CS21); //   8
	TIMSK |= (1 << TOIE2); //    
	SREG  |= (1 << 7); //   
	
	list_process();
}
//------------------------
void KERNEL_DispatchTask()
{
	for(uChar index = 0; index < MAX_NUM_TASK; index++)
	{
		if(scheduler[index].state_task == on)
		{
			scheduler[index].process(); //  
			scheduler[index].state_task = off;
			SCHEDULER_DeleteTask(index);
		}
	}
}
//-----------------------
uint32_t KERNEL_GetTics()
{
	return tics;
}
//-----------
void KERNEL()
{
	while(true)
	{
		KERNEL_DispatchTask();
	}
}	
//------------------
ISR(TIMER2_OVF_vect)
{
	tics++;
	
	for(uChar index = 0; index < MAX_NUM_TASK; index++)
	{
		if(scheduler[index].process)
		{
			if(scheduler[index].timer == 0)
				scheduler[index].state_task = on;
			else
				scheduler[index].timer--;
		}				
	}
}