#ifndef LCD_H
	#define LCD_H
	//--------------------
	#include "../header.h"
	//-------------------
	#define LCD_DDR  DDRD
	#define LCD_PORT PORTD
	#define LCD_PIN  PIND
	//--------------
	#define LCD_RS 1
	#define LCD_RW 2
	#define LCD_E  3
	//----------------------------------
	#define LCD_MEMORY_SIGN_CELSIUS 0x48 //     
	#define LCD_MEMORY_SIGN_ARROW   0x50
	//---------------------------
	#define LCD_SIGN_CELSIUS 0x01 //      
	#define LCD_SIGN_ARROW   0x02
	//--------------------
	#define LCD_LINE1 0x80
	#define LCD_LINE2 0xC0
	//---------------------------
	#define LCD_ALIGMENT_NONE   0
	#define LCD_ALIGMENT_LEFT   1
	#define LCD_ALIGMENT_RIGHT  2
	#define LCD_ALIGMENT_CENTER 3
	//------------------------
	#define LCD_CURSOR_FLASH 0
	#define LCD_CURSOR_STATE 1
	//--------------------------
	#define LCD_MAX_LINE_SIZE 16
	//--------------------------------------
	extern void LCD_Command(uChar command); //     
	extern void LCD_Data(uChar data); //     
	extern void LCD_Init(void); // 
	extern uChar LCD_CharToCode(uChar c);
	extern void LCD_PrintString(uChar *str, uChar row); //   
	extern void LCD_PrintSymbol(uChar codeChar, uChar row); //     
	extern void LCD_SetAligment(uChar aligment);
	extern void LCD_Goto(uChar x, uChar y);
	extern void LCD_Clear();
	extern void LCD_Cursor(bool state); //  
	extern void LCD_CursorBlink(bool state); //  
	extern void LCD_SaveUserSign(uChar *sign, uChar address); //     
	extern uChar LCD_Position(uChar lenght);
#endif